﻿<AML>
 <Item type="Method" id="5F2B973E8E5E4B22AC4C7723702566A1" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_ProfitandLoss_sp_call
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	When click "Search" Button,
	If check Excel,show report with Excel.
	Else show report with PDF.
	
Hooks:
	Type:	Form	:	acc_ProfitandLoss_report
	Event:	btn_Search ( onClick )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

var acc_from_date = top.aras.getItemProperty(document.item, 'acc_from_date');
var acc_to_date = top.aras.getItemProperty(document.item, 'acc_to_date');
var acc_accounting_method = top.aras.getItemProperty(document.item, 'acc_accounting_method');
var acc_report_currency = top.aras.getItemProperty(document.item, 'acc_report_currency');
var acc_report_filter = top.aras.getItemProperty(document.item, 'acc_report_filter');
var acc_excel = top.aras.getItemProperty(document.item, 'acc_excel');
if (acc_accounting_method === "Cash") {
    var exe_method = myInnovator.applyMethod("acc_ProfitandLoss_Cash_sp",
        "<acc_accounting_method>" + acc_accounting_method + "</acc_accounting_method>" +
        "<acc_from_date>" + acc_from_date + "</acc_from_date>" +
        "<acc_to_date>" + acc_to_date + "</acc_to_date>" +
        "<acc_report_currency>" + acc_report_currency + "</acc_report_currency>");
} else {
    var exe_method = myInnovator.applyMethod("acc_ProfitandLoss_Accrual_sp",
        "<acc_accounting_method>" + acc_accounting_method + "</acc_accounting_method>" +
        "<acc_from_date>" + acc_from_date + "</acc_from_date>" +
        "<acc_to_date>" + acc_to_date + "</acc_to_date>" +
        "<acc_report_currency>" + acc_report_currency + "</acc_report_currency>" +
        "<acc_report_filter>" + acc_report_filter + "</acc_report_filter>");
}

var ProcessItem = parent.item;
var processID;
try {
    processID = ProcessItem.getAttribute("id");
} catch (e) {}
if (!processID) {
    return;
}
if (acc_report_filter === "ProfitAndLoseCostCenter") {
    if (acc_excel === "1") {
        if (acc_report_currency === "USD") {
            ProcessItem = top.aras.getItemById('ProfitAndLossCostCenter', processID);
            if (!(ProcessItem)) {
                return;
            }
            var ProcessTypeID = ProcessItem.getAttribute("type");
            var report = top.aras.getItemByKeyedName("Report", "ProfitAndLossCostCenter");
            reportName = "ProfitAndLossCostCenter"; // Your Report Name Here
            url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=EXCEL";
            var w = window.open();
            w.location = url;
        } else {
            ProcessItem = top.aras.getItemById('ProfitAndLossCostCenter(SGD)', processID);
            if (!(ProcessItem)) {
                return;
            }
            var ProcessTypeID = ProcessItem.getAttribute("type");
            var report = top.aras.getItemByKeyedName("Report", "ProfitAndLossCostCenter(SGD)");
            reportName = "ProfitAndLossCostCenter(SGD)"; // Your Report Name Here
            url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=EXCEL";
            var w = window.open();
            w.location = url;

        }

    } else {
        if (acc_report_currency === "USD") {
            ProcessItem = top.aras.getItemById('ProfitAndLossCostCenter', processID);
            if (!(ProcessItem)) {
                return;
            }
            var ProcessTypeID = ProcessItem.getAttribute("type");
            var report = top.aras.getItemByKeyedName("Report", "ProfitAndLossCostCenter");
            reportName = "ProfitAndLossCostCenter"; // Your Report Name Here
            url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=PDF";
            var w = window.open();
            w.location = url;
        } else {
            ProcessItem = top.aras.getItemById('ProfitAndLossCostCenter(SGD)', processID);
            if (!(ProcessItem)) {
                return;
            }
            var ProcessTypeID = ProcessItem.getAttribute("type");
            var report = top.aras.getItemByKeyedName("Report", "ProfitAndLossCostCenter(SGD)");
            reportName = "ProfitAndLossCostCenter(SGD)"; // Your Report Name Here
            url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=PDF";
            var w = window.open();
            w.location = url;

        }
    }
} else if (acc_report_filter === "ProfitAndLose") {
    if (acc_excel === "1") {
        ProcessItem = top.aras.getItemById('ProfitAndLoss', processID);
        if (!(ProcessItem)) {
            return;
        }
        var ProcessTypeID = ProcessItem.getAttribute("type");
        var report = top.aras.getItemByKeyedName("Report", "ProfitAndLoss");
        reportName = "ProfitAndLoss"; // Your Report Name Here
        url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=EXCEL";
        var w = window.open();
        w.location = url;
    } else {
        ProcessItem = top.aras.getItemById('acc_ProfitandLoss_Report', processID);
        if (!(ProcessItem)) {
            return;
        }
        var ProcessTypeID = ProcessItem.getAttribute("type");
        var report = top.aras.getItemByKeyedName("Report", "acc_ProfitandLoss_Report");
        reportName = "ProfitAndLoss"; // Your Report Name Here
        url = top.aras.getServerBaseURL() + "RSGateway.aspx?irs:Report=" + reportName + "&rs:Format=PDF";
        var w = window.open();
        w.location = url;
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_ProfitandLoss_sp_call</name>
 </Item>
</AML>